package com.saye.hrs.mapper;

import org.apache.ibatis.annotations.Param;
import java.util.HashMap;
import java.util.List;

/**
 * 预约挂号记录(Order)表数据库访问层
 *
 * @author makejava
 * @since 2021-09-16 16:26:19
 */
public interface OrderMapper {

    HashMap<Object,Object> findOrderById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findOrderList(HashMap<Object,Object> map);

    int insertOrder(HashMap<Object,Object> map);

    int updateOrder(HashMap<Object,Object> map);
    
    int deleteOrderById(HashMap<Object,Object> map);

	void cancelOrder(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findOrderWeekNum(String[] array);

	List<HashMap<Object, Object>> findRechargeWeekNum(String[] array);

	List<HashMap<Object, Object>> findhospitalizedWeekNum(String[] array);

	List<HashMap<Object, Object>> findOfficeOrderNum();

	void setWXLoginTime(HashMap<Object, Object> map);

	HashMap<Object, Object> findHomeData(HashMap<Object, Object> requestMap);

	void generateOrderNotice(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findRechargeWait();

	void addRefund(HashMap<Object, Object> map);

	void addRefundMessageNotice(HashMap<Object, Object> map);

	HashMap<Object, Object> findOrderNotice();

	void updateOrderNotice(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findDistinctOrderOffice();
}

